## Apache Zeta Components Manual :: Docs For Class ezcDbSchemaFileReader

### DatabaseSchema::ezcDbSchemaFileReader

### Interface ezcDbSchemaFileReader

This class provides the interface for file schema readers

Source for this file: /DatabaseSchema/src/interfaces/file_reader.php

    ezcDbSchemaReader
       |
       --ezcDbSchemaFileReader

Version: | //autogen//

### Method Summary

public ezcDbSchema | `loadFromFile( $file )` Returns an ezcDbSchema with the definition from $file

### Inherited Methods

From ezcDbSchemaReader
public int | `ezcDbSchemaReader::getReaderType()` Returns what type of schema reader this class implements.

### Methods

#### loadFromFile

ezcDbSchema loadFromFile( string $file )

Returns an ezcDbSchema with the definition from $file

##### Parameters:

Name | Type | Description
--- | --- | ---
`$file` | string |

Documentation generated by phpDocumentor 1.4.3